Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# ChkNotMaskEv.c File Reference

`#include "dmx.h"`
`#include "ChkNotMaskEv.h"`

## Functions
Bool | XCheckNotMaskEvent (Display *dpy, long mask, XEvent *event)

## Detailed Description

This file provides a XCheckNotMaskEvent function that is derived from the standard Xlib XCheckMaskEvent function.

## Function Documentation

Bool XCheckNotMaskEvent | ( | Display * | dpy,
|  | long | mask,
|  | XEvent * | event
| ) |

| Check existing events in queue to find if any match. If so, return. If not, flush buffer and see if any more events are readable. If one matches, return. If all else fails, tell the user no events found.